Skip to main content
GET
/
agents
/
{agentId}
/
workflows
/
{workflowId}
/
output-schemas
Get workflow output schemas
curl --request GET \
  --url https://odyssey.asteroid.ai/agents/v2/agents/{agentId}/workflows/{workflowId}/output-schemas \
  --header 'X-Asteroid-Agents-Api-Key: <api-key>'
import requests

url = "https://odyssey.asteroid.ai/agents/v2/agents/{agentId}/workflows/{workflowId}/output-schemas"

headers = {"X-Asteroid-Agents-Api-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-Asteroid-Agents-Api-Key': '<api-key>'}};

fetch('https://odyssey.asteroid.ai/agents/v2/agents/{agentId}/workflows/{workflowId}/output-schemas', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{}
{
  "code": 400,
  "message": "<string>"
}
{
  "code": 401,
  "message": "<string>"
}
{
  "code": 403,
  "message": "<string>"
}
{
  "code": 404,
  "message": "<string>"
}
{
  "code": 500,
  "message": "<string>"
}

Authorizations

X-Asteroid-Agents-Api-Key
string
header
required

Path Parameters

agentId
string<uuid>
required

The ID of the agent

workflowId
string<uuid>
required

The ID of the workflow

Response

The request has succeeded.

Output schemas keyed by output node name. Only output nodes that have a schema configured are included; the value is that node's JSON schema.